//
//  GTOAnswer.m
//  total
//
//  Created by freecui on 15/10/16.
//  Copyright (c) 2015年 free. All rights reserved.
//

#import "GTOAnswer.h"
#import "GTOAnswerDetail.h"
@implementation GTOAnswer

+ (NSString *)PrimaryKey {
    return @"questionUuid";//@"uuid"; //
}

- (void)setResultDetails:(NSArray *)resultDetails {
    if ([_resultDetails isEqual:resultDetails]) {
        return;
    }
    _resultDetails = resultDetails;
    
    for(NSDictionary *dict in resultDetails) {
        GTOAnswerDetail *answerDetail = [GTOAnswerDetail DBObject];
        [answerDetail praseFromJsonDict:dict];
        
        [self.arrSubModels addObject:answerDetail];
    }
}
@end
